# Changelog

## 2025-05-07 - 2.1.0 - feat(smartmail)
Add new email validation helper methods (getMxRecords, isDisposableEmail, isRoleAccount) and an applyVariables method to Smartmail for dynamic templating.

- Introduced getMxRecords in EmailAddressValidator to extract MX records from DNS responses.
- Added isDisposableEmail to determine if an email is from a disposable domain.
- Added isRoleAccount to identify role-based email addresses.
- Implemented applyVariables in Smartmail to update subject, body, and htmlBody templates with provided data.

## 2025-05-07 - 2.0.1 - fix(readme)
Update documentation to include usage of creation object reference and update API details.

- Added a new section explaining how to use the creationObjectRef in Smartmail.
- Included detailed examples on retrieving and using the creation object reference.
- Updated the API reference to document the getCreationObject method.

## 2025-05-07 - 2.0.0 - BREAKING CHANGE(smartmail)
Improve email validation and Smartmail features: add detailed validation for email parts, caching for MX lookups, multi-recipient support, custom headers, and update dependency imports and build scripts.

- Updated dependency references from '@gitzone/*' to '@git.zone/*'
- Enhanced EmailAddressValidator with RFC 5322 compliance, local part, domain part validation, and detailed result fields
- Implemented caching mechanism for MX record lookups
- Expanded Smartmail class: added support for multiple recipients, reply-to, custom headers, and MIME formatting
- Updated build scripts, package configuration, and documentation with more comprehensive usage examples and tests

## 2024-05-29 - 1.0.24 - misc  
This release improved several project configurations and documentation details.

- docs: Updated the project description.  
- config: Revised tsconfig settings.  
- npmextra: Adjusted npmextra.json with updated githost values (applied on multiple commits).

## 2023-07-28 - 1.0.23 - misc  
A couple of targeted fixes and organizational changes were introduced.

- core: Applied a core fix update.  
- org: Switched to the new organization scheme.

## 2023-06-13 - 1.0.22 - core  
Over a longer period (versions 1.0.22 down to 1.0.4), a series of minor core fixes were rolled out to improve stability and maintainability.  
These commits—which, aside from their version‐marking commits, were solely “fix(core): update”—were consolidated into this summary.

## 2018-09-29 - 1.0.1 - initial  
In the very early releases (from versions 1.0.3 to 1.0.1), the initial stabilization work set the stage for the project.  
- npm: Adjusted access level (fix(npm): access level in 1.0.3).  
- packagename: Updated package name details (fix(packagename): update in 1.0.2).  
- core: Laid the groundwork with the initial core fix (fix(core): initial in 1.0.1).